# Wayland experiments
Just a bunch of programs I wrote to teach myself about Wayland using the [Wayland book](https://wayland-book.com/) as reference.

Building this requires [Meson](https://mesonbuild.com/).
The build script will take care of creating the interfacing and glue code for you.

```
meson setup --buildtype=release build
meson compile -C build
```

## client.c
A Wayland client that draws a barberpole-like animation; implementing the XDG shell protocol, interfaces with
`wl_seat` and `wl_keyboard` too, so it will listen keyboard events and print them on the console.
Because of this, libxkbcommon is required.

You can close it by pressing the escape key or just how you would close any window (see below).

This client also implements the XDG decoration protocol and uses server-side decorations.
